## abcmidi 1.5.1

=== Makefile ===
# Makefile for abcMIDI package
# 
#
# compilation #ifdefs - a few code modifications to support PCC on the PC
#                       and Metrowerks Code Warrior 9 on the Macintosh.
#
# NOFTELL in midifile.c and tomidi.c selects a version of the file-writing
#         code which doesn't use file seeking (for PCC).
#
# PCCFIX in mftext.c midifile.c midi2abc.c
#        comments out various things that aren't available in PCC
#
# __MWERKS__ in parseabc.c tomidi.c necessary to get abc2midi to compile
#          on the Mac.
#
all : abc2midi midi2abc abc2abc mftext

clean :
	rm *.o abc2midi midi2abc abc2abc mftext

abc2midi : parseabc.o tomidi.o midifile.o
	cc -o abc2midi parseabc.o tomidi.o midifile.o

abc2abc : parseabc.o toabc.o
	cc -o abc2abc parseabc.o toabc.o

midi2abc : midifile.o midi2abc.o 
	cc midifile.o midi2abc.o -o midi2abc

mftext : midifile.o mftext.o crack.o
	cc midifile.o mftext.o crack.o -o mftext

parseabc.o : parseabc.c abc.h
	cc -c parseabc.c

verbose.o : verbose.c abc.h
	cc -c verbose.c

tomidi.o : tomidi.c abc.h midifile.h
	cc -c tomidi.c

midifile.o : midifile.c midifile.h
	cc -c midifile.c

newmidi2abc.o : newmidi2abc.c midifile.h
	cc -c newmidi2abc.c

midi2abc.o : midi2abc.c midifile.h
	cc -c midi2abc.c

crack.o : crack.c
	cc -c crack.c

mftext.o : mftext.c midifile.h
	cc -c mftext.c

toabc.o : toabc.c abc.h
	cc -c toabc.c

## abcmidi 1.5.7-1

=== Makefile ===
--- 
+++ 
@@ -19,40 +19,37 @@
 	rm *.o abc2midi midi2abc abc2abc mftext
 
 abc2midi : parseabc.o tomidi.o midifile.o
-	cc -o abc2midi parseabc.o tomidi.o midifile.o
+	$(CC) -o abc2midi parseabc.o tomidi.o midifile.o
 
 abc2abc : parseabc.o toabc.o
-	cc -o abc2abc parseabc.o toabc.o
+	$(CC) -o abc2abc parseabc.o toabc.o
 
 midi2abc : midifile.o midi2abc.o 
-	cc midifile.o midi2abc.o -o midi2abc
+	$(CC) midifile.o midi2abc.o -o midi2abc
 
 mftext : midifile.o mftext.o crack.o
-	cc midifile.o mftext.o crack.o -o mftext
+	$(CC) midifile.o mftext.o crack.o -o mftext
 
 parseabc.o : parseabc.c abc.h
-	cc -c parseabc.c
+	$(CC) -c parseabc.c
 
 verbose.o : verbose.c abc.h
-	cc -c verbose.c
+	$(CC) -c verbose.c
 
 tomidi.o : tomidi.c abc.h midifile.h
-	cc -c tomidi.c
+	$(CC) -c tomidi.c
 
 midifile.o : midifile.c midifile.h
-	cc -c midifile.c
-
-newmidi2abc.o : newmidi2abc.c midifile.h
-	cc -c newmidi2abc.c
+	$(CC) -c midifile.c
 
 midi2abc.o : midi2abc.c midifile.h
-	cc -c midi2abc.c
+	$(CC) -c midi2abc.c
 
 crack.o : crack.c
-	cc -c crack.c
+	$(CC) -c crack.c
 
 mftext.o : mftext.c midifile.h
-	cc -c mftext.c
+	$(CC) -c mftext.c
 
 toabc.o : toabc.c abc.h
-	cc -c toabc.c
+	$(CC) -c toabc.c

=== debian/changelog ===
abcmidi (1.5.7-1) unstable; urgency=low

  * New upstream version.
  * Miscellaneous formatting fixes to manpage.

 -- Anselm Lingnau <lingnau@debian.org>  Mon, 31 Aug 1998 14:47:12 +0200
	

abcmidi (1.5.1-1) unstable; urgency=low

  * Initial Release.

 -- Anselm Lingnau <lingnau@debian.org>  Thu, 27 Nov 1997 11:26:15 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "lingnau@debian.org"
End:

=== debian/control ===
Source: abcmidi
Section: sound
Priority: extra
Maintainer: Anselm Lingnau <lingnau@debian.org>
Standards-Version: 2.4.1.2

Package: abcmidi
Architecture: any
Depends: ${shlibs:Depends}
Suggests: abc2ps, timidity
Description: A converter from abc to MIDI format and back
 This package contains the programs `abc2midi' and `midi2abc',  which
 convert from the abc musical notation format to standard MIDI format
 and vice-versa. They can generate accompaniment from guitar chords
 in the abc file, as well as insert various MIDI events; the
 MIDI-to-abc translation tries to figure out bars, triplets and
 accidentals on its own.
 .
 The package also contains `abc2abc' (an abc prettyprinter/transposer)
 and `mftext' (a program that will dump a MIDI file as text).
 .
 The programs in this package are based on the `midifilelib'
 distribution available from http://www.harmony-central.com/MIDI/.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=abcmidi

build:
	$(checkdir)
	make CC='gcc $$(CFLAGS)' CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

install:
	for i in abc2midi midi2abc abc2abc mftext; \
	do install -m 755 -s $$i $(DESTDIR)/usr/bin; \
	done
	for i in *.1; \
	do install -m 644 $$i $(DESTDIR)/usr/man/man1; \
	done
	mkdir -p $(DESTDIR)/usr/doc/abcmidi
	for i in *.txt; \
	do install -m 644 $$i $(DESTDIR)/usr/doc/abcmidi; \
	done

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build install
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	debian/rules install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: install binary binary-arch binary-indep clean checkroot

## abcmidi 20030521-1

=== debian/changelog ===
abcmidi (20030521-1) unstable; urgency=low

  * New upstream release (upstream maintainer changed, too).
  * Adapted to policy 3.5.9.
  
 -- Anselm Lingnau <anselm@strathspey.org>  Tue, 27 May 2003 00:09:13 +0200

abcmidi (17-1) unstable; urgency=low

  * New upstream version

 -- Anselm Lingnau <lingnau@debian.org>  Wed, 18 Jul 2001 10:48:33 +0200

abcmidi (15-1) unstable; urgency=low

  * New upstream version (closes: #77524, #100874).
  * Changed `Suggests:' to suggest various alternatives for MIDI playback
    instead of just timidity. (Suggested by Michael Karcher.)
    Closes: #98420

 -- Anselm Lingnau <lingnau@debian.org>  Thu, 28 Jun 2001 13:25:17 +0200

abcmidi (8-2) unstable; urgency=low

  * Streamlined the package some more (again thanks to Colin Watson
    <cjwatson@debian.org>).
    Closes: #80873

 -- Anselm Lingnau <lingnau@debian.org>  Wed, 21 Feb 2001 10:14:43 +0100

abcmidi (8-1) unstable; urgency=low

  * New upstream version.
  * Moved `yaps' into separate binary package abcmidi-yaps
    (note that there is another software package called `yaps').
  * Adapted to policy version 3.5.2.
  
 -- Anselm Lingnau <lingnau@debian.org>  Tue, 20 Feb 2001 15:42:36 +0100

abcmidi (1.7.3-1) unstable; urgency=low
 
  * New upstream version.
  * Converted build process to debhelper. This fixes bug#33577 where
    the binaries would be installed in the wrong directory.
 
 -- Anselm Lingnau <lingnau@debian.org>  Fri, 19 Feb 1999 11:09:23 +0100
 

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: abcmidi
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Anselm Lingnau <lingnau@debian.org>
-Standards-Version: 2.4.1.2
+Build-Depends: debhelper (>> 3.0.0)
+Standards-Version: 3.5.9
 
 Package: abcmidi
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: abc2ps, timidity
-Description: A converter from abc to MIDI format and back
+Suggests: abcmidi-yaps | abc2ps, timidity | awe-midi | playmidi
+Description: A converter from ABC to MIDI format and back
  This package contains the programs `abc2midi' and `midi2abc',  which
  convert from the abc musical notation format to standard MIDI format
  and vice-versa. They can generate accompaniment from guitar chords
@@ -21,3 +22,13 @@
  .
  The programs in this package are based on the `midifilelib'
  distribution available from http://www.harmony-central.com/MIDI/.
+
+Package: abcmidi-yaps
+Architecture: any
+Depends: ${shlibs:Depends}
+Suggests: postscript-viewer, abcmidi
+Description: Yet another ABC to PostScript converter
+ This program translates tunes written in the ABC format to PostScript,
+ which can then be viewed on screen or printed. It is essentially a
+ (non-exclusive) alternative to abc2ps, being based on the abc2ps
+ PostScript code together with the ABC parser from the abcmidi package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This is K&R C, so don't worry about a couple of classes of warnings.
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS="-O2 -Wall -Wno-implicit -Wno-return-type -c"
else
CFLAGS="-O2 -g -Wall -Wno-implicit -Wno-return-type -c"
endif

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) CFLAGS=$(CFLAGS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	set -e; \
	for i in abc2abc.exe abc2midi.exe mftext.exe midi2abc.exe; do \
		install -m 755 $$i $(CURDIR)/debian/abcmidi/usr/bin/`basename $$i .exe`; \
	done
	install -m 755 yaps.exe $(CURDIR)/debian/abcmidi-yaps/usr/bin/abcmidi-yaps
	cd doc; install -m 644 abc2abc.1 abc2midi.1 mftext.1 midi2abc.1 \
		$(CURDIR)/debian/abcmidi/usr/share/man/man1
	cd doc; install -m 644 yaps.1 $(CURDIR)/debian/abcmidi-yaps/usr/share/man/man1/abcmidi-yaps.1

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs -k doc/CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## abcmidi 20141016

=== debian/changelog ===
abcmidi (20141016-1) unstable; urgency=medium

  [ Ross Gammon ]
  * New upstream release
  * Refresh patches
  * Fix clean target (Closes: #766698)
  * Add a new manpage for abcmatch (Closes: #764998)
  * Remove superfluous VERSION & AUTHORS files
  * Drop autotools-dev because not required for this package
  * Simplify copyright file
  * Remove CFLAGS & CPPFLAGS from hardening patch

  [ Tobias Frost ]
  * Adding debian/clean

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 25 Oct 2014 21:07:57 +0200

abcmidi (20140928-1) unstable; urgency=medium

  * New maintainer (Closes: #540843)
  * New upstream release (Closes: #691175)
  * Rename abcmidi-yaps to yaps (LP: #525980)
  * Handling of lyrics fixed (Closes: #205958)
  * Created patch to spelling and hyphens in manpages
  * Patched makefile to enable hardening flags

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 12 Oct 2014 22:51:55 +0200

abcmidi (20070318-3) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.
  * Modify makefiles/unix.mak to accept LDFLAGS.
  * Build with default Debian compiler flags defined by dpkg-buildflags.
  * Add dependency on ${misc:Depends} (closes: #692722).
  * Add build-{arch,indep} targets to debian/rules.
  * Fix debian/watch (closes: #449958).
  * Replace dh_clean -k, which is deprecated, with dh_prep.

 -- Emanuele Rocca <ema@debian.org>  Mon, 13 Jan 2014 21:21:35 +0100

abcmidi (20070318-2) unstable; urgency=low

  * Bring forward the fixes from 20060422-1 :^(

 -- Anselm Lingnau <lingnau@debian.org>  Fri, 24 Aug 2007 13:48:32 +0200

abcmidi (20070318-1) unstable; urgency=low

  * New upstream release
  * Now includes "abcmatch" program and documentation
  * Various small policy fixes
  
 -- Anselm Lingnau <lingnau@debian.org>  Fri, 24 Aug 2007 11:19:10 +0200

abcmidi (20060422-1) unstable; urgency=high

  * New upstream release
  * Incorporate fixes by the Security Team for unchecked sscanf() calls
    [drawtune.c, yapstree.c, CVE-2006-1514]
  * Fix most warnings to do with uninitialised variables
  * Incorporate those bits of Roger Leigh's NMU that still make sense
    (closes: #288770)

 -- Anselm Lingnau <lingnau@debian.org>  Thu, 11 May 2006 00:50:52 +0200

abcmidi (20051010-1) unstable; urgency=low

  * New upstream release (closes: #304111)

 -- Anselm Lingnau <lingnau@debian.org>  Tue, 18 Oct 2005 03:13:57 +0200

abcmidi (20050101-2) unstable; urgency=low

  * Remove the "-Wformat-non-literal" gcc option which was introduced for
    the last version, and which is not supported on all gcc
    versions. Thanks to Andreas Jochens (closes: #288770).

 -- Anselm Lingnau <lingnau@debian.org>  Wed,  5 Jan 2005 20:46:27 +0100

abcmidi (20050101-1) unstable; urgency=low

  * New upstream release
  * In particular, the DJB security bugs are now fixed (closes: #287050).
  * Fixed another (very similar) security bug five lines above the other
    ones.
  
 -- Anselm Lingnau <lingnau@debian.org>  Tue,  4 Jan 2005 08:37:05 +0100

abcmidi (20040821-1) unstable; urgency=low

  * New upstream release.
  * Changed Suggests to include pmidi and abcm2ps, remove awe-midi.
  * Adapted to policy 3.6.1.

 -- Anselm Lingnau <lingnau@debian.org>  Wed, 25 Aug 2004 01:34:41 +0200

=== debian/control ===
Source: abcmidi
Maintainer: Ross Gammon <rossgammon@mail.dk>
Section: sound
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abcmidi.git
Vcs-Git: git://anonscm.debian.org/collab-maint/abcmidi.git
Homepage: http://ifdo.ca/~seymour/runabc/top.html

Package: abcmidi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: abcm2ps,
          timidity | pmidi | playmidi,
          postscript-viewer
Conflicts: abcmidi-yaps
Replaces: abcmidi-yaps
Description: converter from ABC to MIDI format and back
 This package contains the programs `abc2midi' and `midi2abc',  which
 convert from the abc musical notation format to standard MIDI format
 and vice-versa. They can generate accompaniment from guitar chords
 in the abc file, as well as insert various MIDI events; the
 MIDI-to-abc translation tries to figure out bars, triplets and
 accidentals on its own.
 .
 The package also contains `abc2abc' (an abc prettyprinter/transposer),
 `mftext' (a program that dumps a MIDI file as text), and `midicopy'
 (a program that extracts specific tracks, channels or time intervals
 from a MIDI file).
 .
 The package also contains Yet another ABC to PostScript converter (yaps)
 which translates tunes written in the ABC format to PostScript,
 which can then be viewed on screen or printed. It is essentially a
 (non-exclusive) alternative to abc2ps, being based on the abc2ps
 PostScript code together with the ABC parser from the abcmidi package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

override_dh_auto_install:
	#Upstream prefix is usr/local so manually call make
	$(MAKE) DESTDIR=$$(pwd)/debian/abcmidi prefix=/usr install
	#Remove duplicate license information
	rm $(CURDIR)/debian/abcmidi/usr/share/doc/abcmidi/gpl.txt
	#Remove duplicate changelog file
	rm $(CURDIR)/debian/abcmidi/usr/share/doc/abcmidi/CHANGES
	#Remove superfluous VERSION file
	rm $(CURDIR)/debian/abcmidi/usr/share/doc/abcmidi/VERSION
	#Remove duplicate AUTHORS file
	rm $(CURDIR)/debian/abcmidi/usr/share/doc/abcmidi/AUTHORS
	#dh_auto_clean
	#dh_autoreconf_clean
	#dh_clean

get-orig-source:
	uscan --verbose --force-download --repack

=== debian/watch ===
version=3
opts=uversionmangle=s/-//g \
http://ifdo.pugmarks.com/~seymour/runabc/top.html abcMIDI-(.*)\.zip

## abcmidi 20150715

=== debian/changelog ===
abcmidi (20150715-1ubuntu1) wily; urgency=medium

  * Fix implicit function declaration in stresspat.c by including an external
    reference.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 03 Oct 2015 00:01:00 -0400

abcmidi (20150715-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 26 Jul 2015 22:19:52 +0200

abcmidi (20150622-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 23 Jun 2015 22:49:07 +0200

abcmidi (20150608-1) unstable; urgency=medium

  * New upsream release

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 11 Jun 2015 23:09:47 +0200

abcmidi (20150429-1) unstable; urgency=medium

  * New upstream release
  * Switch to unstable from experimental
  * Delete patches directory as now empty
  * Drop debian manpage for abcmatch as now incorporated upstream
  * Update copyright years
  * Force doc/CHANGES to be the installed upstream changelog

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 07 May 2015 21:23:37 +0200

abcmidi (20150222-1) experimental; urgency=medium

  * New upstream release
  * Fixes multiple Mayhem bugs
    (Closes: #715612, #715613, #715614, #716174)
  * Drop patches that were applied upstream
  * Tidy comments in debian/rules
  * Add upstream metadata
  * Add -dbg package to help track down Mayhem bugs

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 23 Feb 2015 17:47:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: abcmidi
-Maintainer: Ross Gammon <rossgammon@mail.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ross Gammon <rossgammon@mail.dk>
 Section: sound
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -36,3 +37,16 @@
  which can then be viewed on screen or printed. It is essentially a
  (non-exclusive) alternative to abc2ps, being based on the abc2ps
  PostScript code together with the ABC parser from the abcmidi package.
+
+Package: abcmidi-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    abcmidi (= ${binary:Version}),
+    ${misc:Depends}
+Description: debugging symbols for abcmidi
+ abcmidi converts files from ABC format to MIDI format and back
+ again.
+ .
+ This package contains the debugging symbols for abcmidi.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 %:
 	dh $@  --with autoreconf
@@ -18,9 +18,12 @@
 	rm $(CURDIR)/debian/abcmidi/usr/share/doc/abcmidi/VERSION
 	#Remove duplicate AUTHORS file
 	rm $(CURDIR)/debian/abcmidi/usr/share/doc/abcmidi/AUTHORS
-	#dh_auto_clean
-	#dh_autoreconf_clean
-	#dh_clean
+
+override_dh_installchangelogs:
+	dh_installchangelogs doc/CHANGES
+
+override_dh_strip:
+	dh_strip --dbg-package=abcmidi-dbg
 
 get-orig-source:
 	uscan --verbose --force-download --repack

## abcmidi 20160103

=== debian/changelog ===
abcmidi (20160103-1) unstable; urgency=medium

  * New upstream release
  * Drop manual debug package
  * Update Vcs Browser URL to the latest (cgit & https)
  * Add a patch to fix some spelling errors

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 17 Jan 2016 15:16:03 +0100

abcmidi (20151115-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rossgammon@mail.dk>  Sun, 06 Dec 2015 23:05:33 +0100

abcmidi (20151110-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied upstream
  * Correct upstream contact details

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 14 Nov 2015 20:06:40 +0100

abcmidi (20151008-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file due to new upstream versioning
  * Incorporate patch from Ubuntu to fix a build error
    Thanks to Logan Rosen

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 17 Oct 2015 15:18:30 +0200

abcmidi (20150908-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rossgammon@mail.dk>  Wed, 23 Sep 2015 22:24:10 +0200

abcmidi (20150831-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 03 Sep 2015 22:57:44 +0200

abcmidi (20150820-1) unstable; urgency=medium

  * New upstream release
  * Update contact email address for upstream
  * Drop README.Debian

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 22 Aug 2015 13:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: abcmidi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Gammon <rossgammon@mail.dk>
+Maintainer: Ross Gammon <rossgammon@mail.dk>
 Section: sound
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/abcmidi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/abcmidi.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/abcmidi.git
 Homepage: http://ifdo.ca/~seymour/runabc/top.html
 
@@ -37,16 +36,3 @@
  which can then be viewed on screen or printed. It is essentially a
  (non-exclusive) alternative to abc2ps, being based on the abc2ps
  PostScript code together with the ABC parser from the abcmidi package.
-
-Package: abcmidi-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
-    abcmidi (= ${binary:Version}),
-    ${misc:Depends}
-Description: debugging symbols for abcmidi
- abcmidi converts files from ABC format to MIDI format and back
- again.
- .
- This package contains the debugging symbols for abcmidi.

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs doc/CHANGES
 
+# This can be removed after stretch is released
 override_dh_strip:
-	dh_strip --dbg-package=abcmidi-dbg
+	dh_strip --ddeb-migration='abcmidi-dbg (<< 20160103-1~)'
 
 get-orig-source:
 	uscan --verbose --force-download --repack

=== debian/watch ===
version=3
opts=uversionmangle=s/(\.|\-)//g \
http://ifdo.pugmarks.com/~seymour/runabc/top.html abcMIDI-(.*)\.zip

## abcmidi 20160505

=== debian/changelog ===
abcmidi (20160505-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version, no changes required

 -- Ross Gammon <rossgammon@mail.dk>  Sat, 11 Jun 2016 15:12:50 +0200

abcmidi (20160315-1) unstable; urgency=medium

  * New upstream release
  * Drop spelling patch, applied upstream

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 31 Mar 2016 22:05:25 +0200

abcmidi (20160303-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch
  * Use secure URI for Vcs field
  * Bump standards version, no changes required
  * Enable all hardening options
  * Spelling patch forwarded upstream

 -- Ross Gammon <rossgammon@mail.dk>  Tue, 15 Mar 2016 18:06:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/abcmidi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/abcmidi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/abcmidi.git
 Homepage: http://ifdo.ca/~seymour/runabc/top.html
 
 Package: abcmidi

## abcmidi 20170101

=== debian/changelog ===
abcmidi (20170101-1) unstable; urgency=medium

  * New upstream release
  * Update copyright with new upstream website address
  * Use my Ubuntu email address
  * Update watchfile with new upstream website address

 -- Ross Gammon <rosco2@ubuntu.com>  Fri, 13 Jan 2017 18:29:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: abcmidi
-Maintainer: Ross Gammon <rossgammon@mail.dk>
+Maintainer: Ross Gammon <rosco2@ubuntu.com>
 Section: sound
 Priority: optional
 Build-Depends: debhelper (>= 9),

=== debian/watch ===
version=3
opts=uversionmangle=s/(\.|\-)//g \
http://ifdo.ca/~seymour/runabc/top.html abcMIDI-(.*)\.zip

## abcmidi 20170718

=== debian/changelog ===
abcmidi (20170718-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rosco2@ubuntu.com>  Fri, 04 Aug 2017 20:55:26 +0200

abcmidi (20170711-1) unstable; urgency=medium

  * New upstream release

 -- Ross Gammon <rosco2@ubuntu.com>  Thu, 13 Jul 2017 10:17:09 +0200

abcmidi (20170610-1) unstable; urgency=medium

  * New upstream release
  * Update to latest standards version, used https for copyright
    format URL
  * Install examples so they can be used for autopkgtest
  * Add autopkgtest suite
  * Switch back to unstable from experimental, Debian no longer frozen

 -- Ross Gammon <rosco2@ubuntu.com>  Sat, 24 Jun 2017 23:09:59 +0200

abcmidi (20170419-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Ross Gammon <rosco2@ubuntu.com>  Thu, 04 May 2017 20:45:21 +0200

abcmidi (20170416-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Ross Gammon <rosco2@ubuntu.com>  Mon, 17 Apr 2017 22:26:32 +0200

abcmidi (20170202-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Ross Gammon <rosco2@ubuntu.com>  Sat, 18 Mar 2017 12:08:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/abcmidi.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/abcmidi.git
 Homepage: http://ifdo.ca/~seymour/runabc/top.html

## abcmidi 20180222

=== debian/changelog ===
abcmidi (20180222-1) unstable; urgency=medium

  * New upstream release
  * Patch midi2abc.c to fix FTBFS on 32 bit architectures.
    Thanks to James Cowgill (Closes: #890023)
  * Patch Makefile to fix FTBFS with clean target

 -- Ross Gammon <rossgammon@debian.org>  Sat, 03 Mar 2018 16:07:14 +0100

abcmidi (20180125-1) unstable; urgency=medium

  * New upstream release
  * Move package to Debian Multimedia Team
  * Set dh/compat level to 11
  * Bump standards version, no changes required
  * Use secure uri in watch file
  * Use secure uri in copyright, control & upstream metadata files
  * Drop autoreconf build dependency, no longer required with debhelper 10

 -- Ross Gammon <rossgammon@debian.org>  Tue, 30 Jan 2018 16:19:00 +0100

abcmidi (20171220-1) unstable; urgency=medium

  * New upstream release
  * Fixes CI test failure

 -- Ross Gammon <rossgammon@debian.org>  Wed, 20 Dec 2017 20:03:17 +0100

abcmidi (20171215-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version, no changes required

 -- Ross Gammon <rossgammon@debian.org>  Tue, 19 Dec 2017 18:20:35 +0100

abcmidi (20171110-1) unstable; urgency=medium

  * New upstream release
  * Use Debian email adress
  * Remove trailing whitespace in debian/changelog
  * Bump standards version, no changes required

 -- Ross Gammon <rossgammon@debian.org>  Sun, 12 Nov 2017 18:11:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: abcmidi
-Maintainer: Ross Gammon <rosco2@ubuntu.com>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Ross Gammon <rossgammon@debian.org>
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/abcmidi.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/abcmidi.git
-Homepage: http://ifdo.ca/~seymour/runabc/top.html
+Build-Depends: debhelper (>= 11),
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
+Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
+Homepage: https://ifdo.ca/~seymour/runabc/top.html
 
 Package: abcmidi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@  --with autoreconf

## abcmidi 20190101

=== debian/changelog ===
abcmidi (20190101-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop dbug symbol migration, was part of stretch
  * Drop get-orig-source target, no longer need it
  * Bump standards version, no changes required
  * Add a gitlab-ci.yml file for Salsa CI

 -- Ross Gammon <rossgammon@debian.org>  Sun, 13 Jan 2019 17:28:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper (>= 11),
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html

=== debian/watch ===
version=3
opts=uversionmangle=s/(\.|\-)//g \
https://ifdo.ca/~seymour/runabc/top.html abcMIDI-(.*)\.zip

## abcmidi 20190705

=== debian/changelog ===
abcmidi (20190705-1) unstable; urgency=medium

  * New upstream version

 -- Ross Gammon <rossgammon@debian.org>  Wed, 07 Aug 2019 18:43:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Ross Gammon <rossgammon@debian.org>
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 11),
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 11),
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html

## abcmidi 20200122

=== debian/changelog ===
abcmidi (20200122-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Bump Standards-Version to 4.4.1

  [ Dennis Braun ]
  * New upstream version
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add me as uploader
    + Set RRR: no
  * d/copyright: http > https
  * d/tests/conversions: Fix Abcmatch test

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 15:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: abcmidi
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Ross Gammon <rossgammon@debian.org>
+Uploaders:
+ Ross Gammon <rossgammon@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>
 Section: sound
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html
+Rules-Requires-Root: no
 
 Package: abcmidi
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/CHANGES
-
-# This can be removed after stretch is released
-override_dh_strip:
-	dh_strip --ddeb-migration='abcmidi-dbg (<< 20160103-1~)'
-
-get-orig-source:
-	uscan --verbose --force-download --repack

## abcmidi 20200212

=== debian/changelog ===
abcmidi (20200212-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop debhelper compat to 10 to ease backports.
  * debian/rules: disable "--with autoreconf", deprecated with debhelper 10.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Mar 2020 09:35:39 -0700

abcmidi (20200212-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 20200212

  [ Ross Gammon ]
  * Remove myself from uploaders

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 01 Mar 2020 10:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: abcmidi
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Ross Gammon <rossgammon@debian.org>,
  Dennis Braun <d_braun@kabelmail.de>
 Section: sound
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 10),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@  --with autoreconf
+	dh $@ #--with autoreconf
 
 override_dh_auto_install:
 	#Upstream prefix is usr/local so manually call make
@@ -22,3 +22,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/CHANGES
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## abcmidi 20200728

=== debian/changelog ===
abcmidi (20200728-1) unstable; urgency=medium

  * New upstream version 20200728
  * Do not clean before build for now

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Jul 2020 17:48:03 +0200

abcmidi (20200706-1) unstable; urgency=medium

  * New upstream version 20200706

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Jul 2020 19:22:38 +0200

abcmidi (20200625-1) unstable; urgency=medium

  * New upstream version 20200625

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 28 Jun 2020 20:38:49 +0200

abcmidi (20200607-1) unstable; urgency=medium

  * New upstream version 20200607
  * d/upstream/metadata: Add bug-database

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 09 Jun 2020 19:27:28 +0200

abcmidi (20200506-1) unstable; urgency=medium

  * New upstream version 20200506

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 08 May 2020 19:54:51 +0200

abcmidi (20200430-1) unstable; urgency=medium

  * New upstream version 20200430
  * Bump dh-compat to 13

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 02 May 2020 01:37:23 +0200

abcmidi (20200325-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Refresh patches.

  [ Dennis Braun ]
  * New upstream version 20200325
  * d/upstream/metadata: Remove obsolete name and contact
  * d/copyright: Set Upstream-Contact
  * d/rules: Remove obsolete dh argument --with autoreconf
  * Fix spell error in midicopy

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:27:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: abcmidi
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ #--with autoreconf
+	dh $@
 
 override_dh_auto_install:
 	#Upstream prefix is usr/local so manually call make
@@ -22,6 +22,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/CHANGES
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## abcmidi 20201101

=== debian/changelog ===
abcmidi (20201101-1) unstable; urgency=medium

  * New upstream version 20201101
  * Add d/source/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 Nov 2020 22:25:35 +0100

abcmidi (20201019-1) unstable; urgency=medium

  * New upstream version 20201019
  * Add a new midicopy autopkgtest
  * Remove spell error patch, applied by upstream
  * Add myself to the d/ section of d/copyright

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 19 Oct 2020 17:20:24 +0200

abcmidi (20201007-1) unstable; urgency=medium

  * New upstream version 20201007
  * Override dh_auto_clean instead of patching Makefile

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 09 Oct 2020 00:35:20 +0200

abcmidi (20200809-1) unstable; urgency=medium

  * New upstream version 20200809
  * Add more metadata fields

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 17 Sep 2020 23:25:52 +0200

## abcmidi 20201210

=== debian/changelog ===
abcmidi (20201210-1) unstable; urgency=medium

  * New upstream version 20201210
  * Remove playmidi from Suggests (See: #881511)
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 11 Dec 2020 21:24:23 +0100

## abcmidi 20210125

=== debian/changelog ===
abcmidi (20210125-1) unstable; urgency=medium

  * New upstream version 20210125
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 26 Jan 2021 15:15:05 +0100

abcmidi (20210124-1) unstable; urgency=medium

  * New upstream version 20210124
    + Fix build with autoconf 2.70 (Closes: #978762)
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 25 Jan 2021 21:24:11 +0100

## abcmidi 20210221

=== debian/changelog ===
abcmidi (20210221-1) unstable; urgency=medium

  * New upstream version 20210221

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 01 Mar 2021 20:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html
@@ -16,7 +16,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: abcm2ps,
-          timidity | pmidi | playmidi,
+          timidity | pmidi,
           postscript-viewer
 Conflicts: abcmidi-yaps
 Replaces: abcmidi-yaps

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 
 %:
 	dh $@
+
+override_dh_auto_clean:
 
 override_dh_auto_install:
 	#Upstream prefix is usr/local so manually call make

=== debian/watch ===
version=4
opts=uversionmangle=s/(\.|\-)//g \
https://ifdo.ca/~seymour/runabc/top.html abcMIDI-(.*)\.zip

## abcmidi 20220218+ds1

=== debian/changelog ===
abcmidi (20220218+ds1-1) unstable; urgency=medium

  * New upstream version 20220218+ds1
  * Exclude needless build files

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Feb 2022 23:47:07 +0100

abcmidi (20220213-1) unstable; urgency=medium

  * New upstream version 20220213

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Feb 2022 22:47:01 +0100

abcmidi (20220128-1) unstable; urgency=medium

  * New upstream version 20220128

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 02 Feb 2022 22:55:37 +0100

abcmidi (20220113-1) unstable; urgency=medium

  * New upstream version 20220113
    (Closes: #890250, #1002860, #1002892, #1002894, #1002895, #1002896)

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 14 Jan 2022 23:14:45 +0100

abcmidi (20211212-1) unstable; urgency=medium

  * New upstream version 20211212

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 14 Dec 2021 17:39:19 +0100

abcmidi (20211205-1) unstable; urgency=medium

  * New upstream version 20211205

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 08 Dec 2021 19:27:23 +0100

abcmidi (20211125-1) unstable; urgency=medium

  * New upstream version 20211125

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 28 Nov 2021 15:23:51 +0100

abcmidi (20211011-1) unstable; urgency=medium

  * New upstream version 20211011

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 13 Oct 2021 23:40:28 +0200

abcmidi (20210915-1) unstable; urgency=medium

  * New upstream version 20210915
  * Bump Standards-Version to 4.6.0. no changes needed
  * Remove unsupported homepage field from d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 17 Sep 2021 22:54:20 +0200

abcmidi (20210627-1) unstable; urgency=medium

  * New upstream version 20210627

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Aug 2021 20:14:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html

=== debian/watch ===
version=4
opts="repacksuffix=+ds1,dversionmangle=auto,uversionmangle=s/(\.|\-)//g" \
https://ifdo.ca/~seymour/runabc/top.html abcMIDI-(.*)\.zip

## abcmidi 20220901+ds1

=== debian/changelog ===
abcmidi (20220901+ds1-1) unstable; urgency=medium

  * New upstream version 20220901+ds1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 11 Sep 2022 15:54:20 +0200

abcmidi (20220823+ds1-1) unstable; urgency=medium

  * New upstream version 20220823+ds1
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 26 Aug 2022 19:21:27 +0200

abcmidi (20220801+ds1-1) unstable; urgency=medium

  * New upstream version 20220801+ds1

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 13 Aug 2022 19:05:05 +0200

abcmidi (20220614+ds1-1) unstable; urgency=medium

  * New upstream version 20220614+ds1

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 15 Jun 2022 21:00:55 +0200

abcmidi (20220520+ds1-1) unstable; urgency=medium

  * New upstream version 20220520+ds1
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 22 May 2022 14:31:09 +0200

abcmidi (20220428+ds1-1) unstable; urgency=medium

  * New upstream version 20220428+ds1

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 16:40:51 +0200

abcmidi (20220406+ds1-1) unstable; urgency=medium

  * New upstream version 20220406+ds1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Apr 2022 20:57:41 +0200

abcmidi (20220320+ds1-1) unstable; urgency=medium

  * New upstream version 20220320+ds1 (Closes: #1004987)

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 21 Mar 2022 20:54:51 +0100

abcmidi (20220221+ds1-1) unstable; urgency=medium

  * New upstream version 20220221+ds1

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Mar 2022 21:44:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html

## abcmidi 20221205+ds1

=== debian/changelog ===
abcmidi (20221205+ds1-1) unstable; urgency=medium

  * New upstream version 20221205+ds1
  * Exclude binaries from source tarball
  * Update my email address
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Thu, 08 Dec 2022 19:41:48 +0100

## abcmidi 20221209+ds1

=== debian/changelog ===
abcmidi (20221209+ds1-1) unstable; urgency=medium

  * New upstream version 20221209+ds1

 -- Dennis Braun <snd@debian.org>  Mon, 12 Dec 2022 21:47:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: abcmidi
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## abcmidi 20221227+ds1

=== debian/changelog ===
abcmidi (20221227+ds1-1) unstable; urgency=medium

  * New upstream version 20221227+ds1
  * Update Files-Excluded: the binaries have been removed by upstream
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Thu, 29 Dec 2022 17:29:32 +0100

## abcmidi 20221230+ds1

=== debian/changelog ===
abcmidi (20221230+ds1-1) unstable; urgency=medium

  * New upstream version 20221230+ds1

 -- Dennis Braun <snd@debian.org>  Tue, 03 Jan 2023 22:13:23 +0100

## abcmidi 20230110+ds1

=== debian/changelog ===
abcmidi (20230110+ds1-1) unstable; urgency=medium

  * New upstream version 20230110+ds1
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Fri, 13 Jan 2023 23:22:17 +0100

## abcmidi 20230121+ds1

=== debian/changelog ===
abcmidi (20230121+ds1-1) unstable; urgency=medium

  * New upstream version 20230121+ds1

 -- Dennis Braun <snd@debian.org>  Sat, 28 Jan 2023 23:19:09 +0100

## abcmidi 20230208+ds1

=== debian/changelog ===
abcmidi (20230208+ds1-1) unstable; urgency=medium

  * New upstream version 20230208+ds1

 -- Dennis Braun <snd@debian.org>  Sat, 11 Feb 2023 18:50:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: sound
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/abcmidi
 Vcs-Git: https://salsa.debian.org/multimedia-team/abcmidi.git
 Homepage: https://ifdo.ca/~seymour/runabc/top.html

## abcmidi 20230625+ds1

=== debian/changelog ===
abcmidi (20230625+ds1-1) unstable; urgency=medium

  * New upstream version 20230625+ds1

 -- Dennis Braun <snd@debian.org>  Wed, 28 Jun 2023 18:34:10 +0200

abcmidi (20230530+ds1-1) unstable; urgency=medium

  * New upstream version 20230530+ds1

 -- Dennis Braun <snd@debian.org>  Wed, 14 Jun 2023 22:43:40 +0200

## abcmidi 20240104+ds1

=== debian/changelog ===
abcmidi (20240104+ds1-1) unstable; urgency=medium

  * New upstream version 20240104+ds1

 -- Dennis Braun <snd@debian.org>  Wed, 10 Jan 2024 20:46:05 +0100

abcmidi (20231126+ds1-1) unstable; urgency=medium

  * New upstream version 20231126+ds1

 -- Dennis Braun <snd@debian.org>  Mon, 11 Dec 2023 20:31:42 +0100

abcmidi (20231117+ds1-1) unstable; urgency=medium

  * New upstream version 20231117+ds1

 -- Dennis Braun <snd@debian.org>  Tue, 21 Nov 2023 11:35:27 +0100

abcmidi (20231101+ds1-1) unstable; urgency=medium

  * New upstream version 20231101+ds1

 -- Dennis Braun <snd@debian.org>  Wed, 01 Nov 2023 20:09:35 +0100

abcmidi (20230913+ds1-1) unstable; urgency=medium

  * New upstream version 20230913+ds1
  * Clean modified files after source build (Closes: #1043955)

 -- Dennis Braun <snd@debian.org>  Fri, 15 Sep 2023 22:10:06 +0200

abcmidi (20230831+ds1-1) unstable; urgency=medium

  * New upstream version 20230831+ds1

 -- Dennis Braun <snd@debian.org>  Sun, 03 Sep 2023 17:08:17 +0200

abcmidi (20230822+ds1-1) unstable; urgency=medium

  * New upstream version 20230822+ds1

 -- Dennis Braun <snd@debian.org>  Wed, 23 Aug 2023 20:51:05 +0200

## abcmidi 20240222+ds1

=== debian/changelog ===
abcmidi (20240222+ds1-1) unstable; urgency=medium

  * New upstream version 20240222+ds1

 -- Dennis Braun <snd@debian.org>  Fri, 23 Feb 2024 21:03:31 +0100

abcmidi (20240219+ds1-1) unstable; urgency=medium

  * New upstream version 20240219+ds1

 -- Dennis Braun <snd@debian.org>  Mon, 19 Feb 2024 21:06:18 +0100

=== debian/tests/control ===
Tests: conversions
Depends: abcmidi, gzip

## abcmidi 20240430+ds

=== debian/changelog ===
abcmidi (20240430+ds-1) unstable; urgency=medium

  * New upstream version 20240430+ds
  * d/watch: Change tag from ds1 to ds
  * Update my d/copyright year

 -- Dennis Braun <snd@debian.org>  Wed, 08 May 2024 20:58:20 +0200

abcmidi (20240321+ds1-1) unstable; urgency=medium

  * New upstream version 20240321+ds1

 -- Dennis Braun <snd@debian.org>  Fri, 22 Mar 2024 21:23:05 +0100

abcmidi (20240305+ds1-1) unstable; urgency=medium

  * New upstream version 20240305+ds1

 -- Dennis Braun <snd@debian.org>  Thu, 07 Mar 2024 19:49:59 +0100

## abcmidi 20240612+ds

=== debian/changelog ===
abcmidi (20240612+ds-1) unstable; urgency=medium

  * New upstream version 20240612+ds
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Fri, 14 Jun 2024 19:09:57 +0200

## abcmidi 20240726+ds

=== debian/changelog ===
abcmidi (20240726+ds-1) unstable; urgency=medium

  * New upstream version 20240726+ds

 -- Dennis Braun <snd@debian.org>  Wed, 07 Aug 2024 22:16:41 +0200

abcmidi (20240618+ds-1) unstable; urgency=medium

  * New upstream version 20240618+ds

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:35:31 +0200
